import { Injectable } from '@angular/core'
import { TabRecoveryProvider, RecoveredTab } from 'terminus-core'

import { TerminalTabComponent } from './components/terminalTab.component'

@Injectable()
export class RecoveryProvider extends TabRecoveryProvider {
    async recover (recoveryToken: any): Promise<RecoveredTab> {
        if (recoveryToken && recoveryToken.type === 'app:terminal-tab') {
            return {
                type: TerminalTabComponent,
                options: { sessionOptions: recoveryToken.sessionOptions },
            }
        }
        return null
    }
}
